Managed Service for MySQL API, REST: ResourcePreset.List
Retrieves the list of available resource presets.
HTTP request
GET https://mdb.api.yandexcloud.kz/managed-mysql/v1/resourcePresets
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token that can be used to iterate through multiple pages of results. The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"resourcePresets": [
{
"id": "string",
"zoneIds": [
"string"
],
"cores": "string",
"memory": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
resourcePresets[] |
List of resource presets. |
|
nextPageToken |
string The token that can be used to get the next page of results. The maximum string length in characters is 100. |
ResourcePreset
An object that represents MySQL resource preset.
A resource preset defines hardware configuration for cluster hosts.
See the documentation for details.
|
Field |
Description |
|
id |
string ID of the resource preset that defines available computational resources (vCPU, RAM, etc.) for a cluster host. |
|
zoneIds[] |
string IDs of availability zones where the resource preset is available. |
|
cores |
string (int64) Number of CPU cores for a MySQL host created with the preset. |
|
memory |
string (int64) RAM volume for a MySQL host created with the preset, in bytes. |